Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ResetPasswordResult

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ResetPasswordResult

Direct Known Subclasses:
  `TdApi.ResetPasswordResultDeclined`, `TdApi.ResetPasswordResultOk`, `TdApi.ResetPasswordResultPending`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ResetPasswordResult extends TdApi.Object permits TdApi.ResetPasswordResultOk, TdApi.ResetPasswordResultPending, TdApi.ResetPasswordResultDeclined
This class is an abstract base class. Represents result of 2-step verification password reset.

## Constructor Summary

Constructors
Constructor
Description
`ResetPasswordResult()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResetPasswordResult

public ResetPasswordResult()
Default class constructor.